#### D.4.17.6 modsatiety

Procedure from library `noether.lib` (see noether_lib).

Usage:
  modsatiety(i); i ideal,

Return:
  an integer, the satiety of i.
  (returns -1 if i is not homogeneous)

Assume:
  i is a homogeneous ideal of the basering R=K[x(0)..x(n)].

Theory:
  The satiety, or saturation index, of a homogeneous ideal i is the least integer s such that, for all d>=s, the degree d part of the ideals i and isat=sat(i,maxideal(1))[1] coincide.

Note:
  This is a probabilistic procedure, and it computes the initial of the ideal modulo the prime number 2147483647 (the biggest prime less than 2^31).

User manual for Singular version 4-0-3, 2016, generated by texi2html.